Subject: [CCAMP] OIF draft on lsp hierarchy and control plane adjacency

From: "Ong, Lyndon" <[email-masked]>
Date: Thu, 18 Mar 2010 22:24:59 -0400

Hi Folks,

This is a quick email on the OIF-sponsored draft on lsp hierarchy and control plane adjacency configuration (draft-roch-ccamp-reqts-auto-adj-00.txt):

This is submitted in the form of a problem statement, as suggested in the GMPLS change procedures of RFC 4929.  It identifies some additional issues with establishment of control plane adjacencies in the use of LSP hierarchy with ASON networks that we believe may require protocol extensions.

The issues basically are:

-          Identification of the client layer in LSP hierarchy, if flexible adaptation to multiple client layers is supported

-          Handling of separate control plane instances at different layers

o   Automatic configuration of control plane adjacency in the client layer, with separation between

§   the identification of the resource in the client layer, 

§  the signaling controller in the client layer, and the SCN address to reach that controller

§  the routing controller in the client layer, and the SCN address to reach that controller

We believe this is not currently supported in the LSP hierarchy work, but that protocol extensions to support this could be done using mechanisms defined on the LSP hierarchy-bis draft (draft-ietf-ccamp-lsp-hierarchy-bis-08.txt).

We would welcome comments on the draft and look forward to a determination by CCAMP as to whether this is in scope or not and whether protocol extensions are considered necessary.

Evelyne Roch

Lyndon Ong